<div>
    <h2 id="page-heading">
        <span jhiTranslate="gestioncvsApp.formation.home.title">Formations</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-formation" [routerLink]="['/formation/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="gestioncvsApp.formation.home.createLabel">
            Create a new Formation
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="formations?.length === 0">
        <span jhiTranslate="gestioncvsApp.formation.home.notFound">No formations found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="formations && formations.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="etablissemnt"><span jhiTranslate="gestioncvsApp.formation.etablissemnt">Etablissemnt</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="dateEntree"><span jhiTranslate="gestioncvsApp.formation.dateEntree">Date Entree</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="dateSortie"><span jhiTranslate="gestioncvsApp.formation.dateSortie">Date Sortie</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="ville"><span jhiTranslate="gestioncvsApp.formation.ville">Ville</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="pays"><span jhiTranslate="gestioncvsApp.formation.pays">Pays</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="titre"><span jhiTranslate="gestioncvsApp.formation.titre">Titre</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="specialite"><span jhiTranslate="gestioncvsApp.formation.specialite">Specialite</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="ressourceProposeId"><span jhiTranslate="gestioncvsApp.formation.ressourcePropose">Ressource Propose</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let formation of formations ;trackBy: trackId">
                    <td><a [routerLink]="['/formation', formation.id, 'view']">{{ formation.id }}</a></td>
                    <td>{{ formation.etablissemnt }}</td>
                    <td>{{ formation.dateEntree }}</td>
                    <td>{{ formation.dateSortie }}</td>
                    <td>{{ formation.ville }}</td>
                    <td>{{ formation.pays }}</td>
                    <td>{{ formation.titre }}</td>
                    <td>{{ formation.specialite }}</td>
                    <td>
                        <div *ngIf="formation.ressourceProposeId">
                            <a [routerLink]="['/ressource-propose', formation.ressourceProposeId , 'view']" >{{ formation.ressourceProposeId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/formation', formation.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/formation', formation.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(formation)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="formations && formations.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
